API REFERENCE
Monitor Task Ad Deep Analysis API
POST
/open-api/v1/ad-monitor-task/ad-deep-analysis·api.ppspy.com
Data and monitoring usage rules
Points Consumption Rules: 1. Retrieving a Shopify data result consumes 1 data, while retrieving an ad library data result consumes 2 data. Retrieving additional data details for a data result does not consume data. 2. Ad monitoring and sales monitoring: Each monitoring session costs $1/month. Each monitoring session is valid for one month and automatically expires after one month. Deleting a monitoring session does not restore the monitoring session, so please delete with caution. Monitoring sessions can be accessed at any time and are unlimited.
Request headers
AUTHORIZATION
Authorization: {API Key}CONTENT-TYPE
application/jsonACCEPT
application/jsonRequest example
cURL
curl --location --request POST 'https://api.ppspy.com/open-api/v1/ad-monitor-task/ad-deep-analysis' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'Authorization: {API Key}' \
--data-raw '{
"task_id": "902175d02614903e4944dfdfe85bbb4d",
"dimension": 1
}' Request parameters
Pass each parameter in its specified location.
| Parameter | Type | Description |
|---|---|---|
| body
body · optional
| object | | none |
| » task_id
body · required
| string | Monitor Task ID | none |
| » dimension
body · optional
| integer | Analysis Dimension | Optional values: 1-By Day, 2-By Time Period. |
Response example
Response · JSON
{
"code": 200,
"message": "success",
"data": {
"dimension": 1,
"time1": "0609",
"time1_ad_count": 51224,
"time1_proportion": 100,
"time2": "0912",
"time2_ad_count": 0,
"time2_proportion": 0,
"time3": "1215",
"time3_ad_count": 0,
"time3_proportion": 0,
"time4": "1518",
"time4_ad_count": 0,
"time4_proportion": 0,
"time5": "1821",
"time5_ad_count": 0,
"time5_proportion": 0,
"time6": "2123",
"time6_ad_count": 0,
"time6_proportion": 0,
"time7": "2306",
"time7_ad_count": 0,
"time7_proportion": 0
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Example data from the existing documentation
{
"code": 200,
"message": "success",
"data": {
"dimension": 2,
"time1": "Monday",
"time1_ad_count": 4535,
"time1_proportion": 8.85,
"time2": "Tuesday",
"time2_ad_count": 5875,
"time2_proportion": 11.47,
"time3": "Wednesday",
"time3_ad_count": 9512,
"time3_proportion": 18.57,
"time4": "Thursday",
"time4_ad_count": 10990,
"time4_proportion": 21.45,
"time5": "Friday",
"time5_ad_count": 9778,
"time5_proportion": 19.09,
"time6": "Saturday",
"time6_ad_count": 6334,
"time6_proportion": 12.37,
"time7": "Sunday",
"time7_ad_count": 4200,
"time7_proportion": 8.2
},
"credits": {
"remaining_credits": 745,
"consumed_credits": 0,
"total_credits": 745
}
}
Response structure
| Name | Type | Required | Constraints | Display Name | Description |
|---|---|---|---|---|---|
| » code | integer | true | none | Business status code | |
| » message | string | true | none | Response Message | none |
| » data | object | true | none | Response Data | none |
| »» dimension | integer | false | none | Analysis Dimension | Optional values: 1-By Day, 2-By Time Period. |
| »» time1 | string | false | none | Monday/6-9 Hours | none |
| »» time1_ad_count | integer | false | none | Total Ad Count | none |
| »» time1_proportion | integer | false | none | Ad Proportion (Percentage) | none |
| »» time2 | string | false | none | Tuesday/9-12 Hours | none |
| »» time2_ad_count | integer | false | none | Total Ad Count | none |
| »» time2_proportion | integer | false | none | Ad Proportion (Percentage) | none |
| »» time3 | string | false | none | Wednesday/12-15 Hours | none |
| »» time3_ad_count | integer | false | none | Total Ad Count | none |
| »» time3_proportion | integer | false | none | Ad Proportion (Percentage) | none |
| »» time4 | string | false | none | Thursday/15-18 Hours | none |
| »» time4_ad_count | integer | false | none | Total Ad Count | none |
| »» time4_proportion | integer | false | none | Ad Proportion (Percentage) | none |
| »» time5 | string | false | none | Friday/18-21 Hours | none |
| »» time5_ad_count | integer | false | none | Total Ad Count | none |
| »» time5_proportion | integer | false | none | Ad Proportion (Percentage) | none |
| »» time6 | string | false | none | Saturday/21-23 Hours | none |
| »» time6_ad_count | integer | false | none | Total Ad Count | none |
| »» time6_proportion | integer | false | none | Ad Proportion (Percentage) | none |
| »» time7 | string | false | none | Sunday/23-6 Hours | none |
| »» time7_ad_count | integer | false | none | Total Ad Count | none |
| »» time7_proportion | integer | false | none | Ad Proportion (Percentage) | none |
| » credits | object | true | none | Credits information | Credits information for the current API request |
| »» remaining_credits | integer | true | none | Remaining credits | Remaining credits after this request |
| »» consumed_credits | integer | true | none | Consumed credits | Credits consumed by this request |
| »» total_credits | integer | true | none | Total credits | Total credits of the current credits type |
